import 'package:flutter/material.dart';
import 'package:sendtrain/classes/activity_action.dart';
import 'package:sendtrain/models/activity_model.dart';

import '../widgets/activities_header.dart';
import '../widgets/activity_card.dart';

class ActivitiesScreen extends StatefulWidget {
  const ActivitiesScreen({super.key});

  @override
  State<StatefulWidget> createState() => _ActivitiesScreenState();
}

class _ActivitiesScreenState extends State<ActivitiesScreen> {

  final data = ActivityModel(
      id: 1,
      categories: ['power'],
      description: 'description',
      title: 'activity',
      type: 'fundamentals',
      actions: List.generate(
        10,
        (i) => ActivityAction(
            id: 1,
            title: 'test action',
            description: 'test description',
            activityActionSet: Set(
                type: 'drop_set',
                total: 3,
                rest: 3000,
                reps: Reps(
                    type: 'count',
                    tempo: [2, 3, 5],
                    amounts: [5, 3, 2],
                    weights: [50, 70, 80],
                    rest: 200))),
      ));

  @override
  Widget build(BuildContext context) {
    List<Widget> activities = List.generate(10, (i) => ActivityCard(activity: data));

    return Padding(
        padding: const EdgeInsets.fromLTRB(10, 15, 10, 0),
        child: Column(
            crossAxisAlignment: CrossAxisAlignment.start,
            children: <Widget>[
              const ActivitiesHeader(),
              Expanded(
                  child: GridView.count(
                primary: false,
                padding: const EdgeInsets.fromLTRB(0, 0, 0, 0),
                crossAxisSpacing: 10,
                mainAxisSpacing: 10,
                crossAxisCount: 2,
                children: activities,
              ))
            ]));
  }
}
